# KDChartRelativePosition.cpp File Reference

`#include "KDChartRelativePosition.h"`
`#include "KDChartEnums.h"`
`#include "KDChartMeasure.h"`
`#include "KDChartPosition.h"`
`#include "KDChartAbstractArea.h"`
`#include <QWidget>`
`#include <QLayout>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartRelativePosition.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::RelativePosition &rp)

## Define Documentation

#define d d_func()

| Definition at line 93 of file KDChartRelativePosition.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::RelativePosition & | rp
| ) |

Definition at line 210 of file KDChartRelativePosition.cpp.

    00211 {
    00212     dbg << "KDChart::RelativePosition("
    00213         << "referencearea="<<rp.referenceArea()
    00214         << "referenceposition="<<rp.referencePosition()
    00215         << "alignment="<<rp.alignment()
    00216         << "horizontalpadding="<<rp.horizontalPadding()
    00217         << "verticalpadding="<<rp.verticalPadding()
    00218         << "rotation="<<rp.rotation()
    00219         << ")";
    00220     return dbg;
    00221 }